Package com.xebialabs.xlrelease.api.v1

# Interface EnvironmentLabelApi

All Superinterfaces:
  `ApiService`

@Path("/api/v1/environments/labels") @Consumes("application/json") @Produces("application/json") public interface EnvironmentLabelApi extends ApiService

- ## Field Summary

  ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

  `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EnvironmentLabel`
  `create(EnvironmentLabel environmentLabel)`
  Creates a new environment label.
  `EnvironmentLabelView`
  `createLabel(EnvironmentLabelForm labelForm)`
  `void`
  `delete(String environmentLabelId)`
  Deletes an environment label.
  `EnvironmentLabel`
  `getById(String id)`
  Gets an environment label by id.
  `EnvironmentLabelView`
  `getLabelById(String environmentLabelId)`
  `List<EnvironmentLabel>`
  `search(EnvironmentLabelFilters filters)`
  Searches environment labels by filters.
  `List<EnvironmentLabelView>`
  `searchLabels(EnvironmentLabelFilters filters)`
  `default String`
  `serviceName()`
  `EnvironmentLabel`
  `update(EnvironmentLabel environmentLabel)`
  Updates an existing environment label.
  `EnvironmentLabelView`
  `updateLabel(String environmentLabelId, EnvironmentLabelForm labelForm)`

- ## Method Details

  - ### serviceName

    default String serviceName()
    Specified by:
      `serviceName` in interface `ApiService`

  - ### createLabel

    @POST EnvironmentLabelView createLabel(EnvironmentLabelForm labelForm)

  - ### getLabelById

    @GET @Path("/{environmentLabelId:.*/EnvironmentLabel[^/]*}") EnvironmentLabelView getLabelById(@PathParam("environmentLabelId") String environmentLabelId)

  - ### updateLabel

    @PUT @Path("/{environmentLabelId:.*/EnvironmentLabel[^/]*}") EnvironmentLabelView updateLabel(@PathParam("environmentLabelId") String environmentLabelId, EnvironmentLabelForm labelForm)

  - ### searchLabels

    @POST @Path("/search") List<EnvironmentLabelView> searchLabels(EnvironmentLabelFilters filters)

  - ### delete

    @DELETE @Path("/{environmentLabelId:.*/EnvironmentLabel[^/]*}") void delete(@PathParam("environmentLabelId") String environmentLabelId)
    Deletes an environment label.
    Parameters:
      `environmentLabelId` - the environment label identifier

  - ### create

    EnvironmentLabel create(EnvironmentLabel environmentLabel)
    Creates a new environment label.
    Parameters:
      `environmentLabel` - an `EnvironmentLabel` object describing the new environment label
    Returns:
      created `EnvironmentLabel` object

  - ### getById

    EnvironmentLabel getById(String id)
    Gets an environment label by id.
    Parameters:
      `id` - the environment label identifier
    Returns:
      found `EnvironmentLabel` object

  - ### update

    EnvironmentLabel update(EnvironmentLabel environmentLabel)
    Updates an existing environment label.
    Parameters:
      `environmentLabel` - an `EnvironmentLabel` object describing the new properties of the environment label
    Returns:
      updated `EnvironmentLabel` object

  - ### search

    List<EnvironmentLabel> search(EnvironmentLabelFilters filters)
    Searches environment labels by filters.
    Parameters:
      `filters` - an `EnvironmentTypeFilters` object describing the search criteria
    Returns:
      list of matching `EnvironmentLabel`s